package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 审核状态枚举（审批中、拒绝、通过）
 */
public enum AuditStatusEnum implements BaseEnum<String, AuditStatusEnum> {
	ING("ING", "审核中"), REJECT("REJECT", "拒绝"), PASS("PASS", "通过");

	private String code;

	private String msg;

	AuditStatusEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
